import 'country_selector_localization.dart';

/// The translations for Central Kurdish (`ckb`).
class CountrySelectorLocalizationCkb extends CountrySelectorLocalization {
  CountrySelectorLocalizationCkb([String locale = 'ckb']) : super(locale);

  @override
  String get noResultMessage => 'بێ ئه‌نجام';

  @override
  String get search => 'Search';

  @override
  String get typeToSearch => 'Type here to search for a country';

  @override
  String selectCountry(String country) {
    return 'Select $country';
  }

  @override
  String selectCountryWithDialCode(String country, String dialCode) {
    return 'Select $country $dialCode';
  }

  @override
  String get ac_ => 'دوورگەی ئاسنشن';

  @override
  String get ad_ => 'ئەندۆرا';

  @override
  String get ae_ => 'شانشینی عەرەبی';

  @override
  String get af_ => 'ئەفغانستان';

  @override
  String get ag_ => 'ئەنتیگوا و باربودا';

  @override
  String get ai_ => 'ئەنگویلا';

  @override
  String get al_ => 'ئەلبانیا';

  @override
  String get am_ => 'ئەرمینیا';

  @override
  String get an_ => 'دورگه‌کانی ئه‌نتیلسی هۆڵه‌ندا';

  @override
  String get ao_ => 'ئەنگۆلا';

  @override
  String get aq_ => 'ئەنتارکتیکا';

  @override
  String get ar_ => 'ئەرجەنتین';

  @override
  String get as_ => 'سامۆای ئەمریکی';

  @override
  String get at_ => 'نەمسا';

  @override
  String get au_ => 'ئوسترالیا';

  @override
  String get aw_ => 'ئاروبا';

  @override
  String get ax_ => 'دوورگەکانی ئالاند';

  @override
  String get az_ => 'ئازەربایجان';

  @override
  String get ba_ => 'بۆسنە و هێرزۆگۆبینیا';

  @override
  String get bb_ => 'باربادۆس';

  @override
  String get bd_ => 'بەنگلادیش';

  @override
  String get be_ => 'بەلجیکا';

  @override
  String get bf_ => 'بورکينا فاسۆ';

  @override
  String get bg_ => 'بولگاریا';

  @override
  String get bh_ => 'بەحرەین';

  @override
  String get bi_ => 'بوروندی';

  @override
  String get bj_ => 'بێنین';

  @override
  String get bl_ => 'سانت بارتێلمی';

  @override
  String get bm_ => 'بەرمودا';

  @override
  String get bn_ => 'برونێی داروسالام';

  @override
  String get bo_ => 'بۆلیڤیا، ویلایەتی فرەنەتەوەیی';

  @override
  String get bq_ => 'بۆنایر';

  @override
  String get br_ => 'بەڕازیل';

  @override
  String get bs_ => 'باهاماس';

  @override
  String get bt_ => 'بۆتان';

  @override
  String get bw_ => 'بۆتسوانا';

  @override
  String get by_ => 'بێلاڕوس';

  @override
  String get bz_ => 'بەلیز';

  @override
  String get ca_ => 'کەنەدا';

  @override
  String get cc_ => 'دوورگەکانی کۆکۆس (کیلینگ).';

  @override
  String get cd_ => 'کۆنگۆ، کۆماری دیموکراتیی کۆنگۆ';

  @override
  String get cf_ => 'کۆماری ئەفریقیای ناوەراست';

  @override
  String get cg_ => 'کۆنگۆ';

  @override
  String get ch_ => 'سویسرا';

  @override
  String get ci_ => 'کۆت دیڤوار';

  @override
  String get ck_ => 'دوورگەکانی کوک';

  @override
  String get cl_ => 'شیلی';

  @override
  String get cm_ => 'کامیرۆن';

  @override
  String get cn_ => 'چین';

  @override
  String get co_ => 'کۆڵۆمبیا';

  @override
  String get cr_ => 'کۆستەریکا';

  @override
  String get cu_ => 'کوبا';

  @override
  String get cv_ => 'کیپ ڤێردی';

  @override
  String get cw_ => 'Curaçao';

  @override
  String get cx_ => 'دوورگەی کریسمس';

  @override
  String get cy_ => 'قوبرس';

  @override
  String get cz_ => 'کۆماری چیک';

  @override
  String get de_ => 'ئەڵمانیا';

  @override
  String get dj_ => 'جیبۆتی';

  @override
  String get dk_ => 'دانیمارک';

  @override
  String get dm_ => 'دۆمینیکا';

  @override
  String get do_ => 'کۆماری دۆمینیکەن';

  @override
  String get dz_ => 'جەزائیر';

  @override
  String get ec_ => 'ئیکوادۆر';

  @override
  String get ee_ => 'ئیستۆنیا';

  @override
  String get eg_ => 'میسر';

  @override
  String get eh_ => 'Western Sahara';

  @override
  String get er_ => 'ئێریتریا';

  @override
  String get es_ => 'ئیسپانیا';

  @override
  String get et_ => 'ئەسیوپیا';

  @override
  String get fi_ => 'فینلاند';

  @override
  String get fj_ => 'فیجی';

  @override
  String get fk_ => 'دوورگەکانی فۆڵکلاند (ماڵڤیناس)';

  @override
  String get fm_ => 'مایکرۆنیزیا، ویلایەتە فیدراڵیەکانی مایکرۆنیزیا';

  @override
  String get fo_ => 'دورگەکانی فارۆ';

  @override
  String get fr_ => 'فەرەنسا';

  @override
  String get ga_ => 'گابۆن';

  @override
  String get gb_ => 'شانشینە یەگرتۆکان';

  @override
  String get gd_ => 'گرێنادا';

  @override
  String get ge_ => 'جۆرجیا';

  @override
  String get gf_ =>
      'دورگەیەکی فەڕەنسایە کە دەکەوێتە باکوری خۆرهەڵاتی ئەمەریکای باشور';

  @override
  String get gg_ => 'گێرنسی';

  @override
  String get gh_ => 'غانا';

  @override
  String get gi_ => 'جبل طارق';

  @override
  String get gl_ => 'گرینلاند';

  @override
  String get gm_ => 'گامبیا';

  @override
  String get gn_ => 'گینیا';

  @override
  String get gp_ => 'گوادلۆپ';

  @override
  String get gq_ => 'گینیا ئیکواتۆریال';

  @override
  String get gr_ => 'یۆنان';

  @override
  String get gs_ => 'باشووری جۆرجیا و دوورگەکانی ساندویچی باشوور';

  @override
  String get gt_ => 'گواتیمالا';

  @override
  String get gu_ => 'گوام';

  @override
  String get gw_ => 'گینیا-بیساو';

  @override
  String get gy_ => 'گویانا';

  @override
  String get hk_ => 'هۆنگ کۆنگ';

  @override
  String get hn_ => 'هندۆراس';

  @override
  String get hr_ => 'کرواتیا';

  @override
  String get ht_ => 'هایتی';

  @override
  String get hu_ => 'هەنگاریا';

  @override
  String get id_ => 'ئەندەنوسیا';

  @override
  String get ie_ => 'ئێرلەندا';

  @override
  String get il_ => 'ئیسرائیل';

  @override
  String get im_ => 'دوورگەی مان';

  @override
  String get in_ => 'هیندستان';

  @override
  String get io_ => 'خاکی زەریای هیندی بەریتانیا';

  @override
  String get iq_ => 'عێراق';

  @override
  String get ir_ => 'ئێران، کۆماری ئیسلامیی...';

  @override
  String get is_ => 'ئایسلەندا';

  @override
  String get it_ => 'ئیتاڵیا';

  @override
  String get je_ => 'جێرسی';

  @override
  String get jm_ => 'جامایکا';

  @override
  String get jo_ => 'ئوردن';

  @override
  String get jp_ => 'ژاپۆن';

  @override
  String get ke_ => 'کینیا';

  @override
  String get kg_ => 'قیرغیزستان';

  @override
  String get kh_ => 'کەمبۆدیا';

  @override
  String get ki_ => 'کیریباتی';

  @override
  String get km_ => 'کۆمۆرۆس';

  @override
  String get kn_ => 'سەینت کیتس و نیڤیس';

  @override
  String get kp_ => 'کۆریا، کۆماری گەلی دیموکراتی کۆریا';

  @override
  String get kr_ => 'کۆریا، کۆماری کۆریای باشوور';

  @override
  String get kw_ => 'کوێت';

  @override
  String get ky_ => 'دوورگەکانی کایمان';

  @override
  String get kz_ => 'کازاخستان';

  @override
  String get la_ => 'لائۆس';

  @override
  String get lb_ => 'لوبنان';

  @override
  String get lc_ => 'سانت لوسیا';

  @override
  String get li_ => 'لیختنشتاین';

  @override
  String get lk_ => 'سری لانکا';

  @override
  String get lr_ => 'لیبێریا';

  @override
  String get ls_ => 'لێسۆتۆ';

  @override
  String get lt_ => 'لیتوانیا';

  @override
  String get lu_ => 'لۆکسمبۆرگ';

  @override
  String get lv_ => 'لاتڤیا';

  @override
  String get ly_ => 'لیبیا';

  @override
  String get ma_ => 'مەغریب';

  @override
  String get mc_ => 'مۆناکۆ';

  @override
  String get md_ => 'مۆڵدۆڤا';

  @override
  String get me_ => 'مۆنتینیگرۆ';

  @override
  String get mf_ => 'سانت مارتن';

  @override
  String get mg_ => 'ماداگاسکار';

  @override
  String get mh_ => 'دوورگەکانی مارشال';

  @override
  String get mk_ => 'مەقدۆنیا';

  @override
  String get ml_ => 'مالی';

  @override
  String get mm_ => 'میانمار';

  @override
  String get mn_ => 'مەنگۆلیا';

  @override
  String get mo_ => 'ماکاو';

  @override
  String get mp_ => 'دوورگەکانی باکووری ماریانا';

  @override
  String get mq_ => 'مارتینیک';

  @override
  String get mr_ => 'مۆریتانیا';

  @override
  String get ms_ => 'مۆنتسێرات';

  @override
  String get mt_ => 'ماڵتا';

  @override
  String get mu_ => 'مۆریس';

  @override
  String get mv_ => 'ماڵدیڤ';

  @override
  String get mw_ => 'مالاوی';

  @override
  String get mx_ => 'مەکسیک';

  @override
  String get my_ => 'مالیزیا';

  @override
  String get mz_ => 'مۆزەمبیق';

  @override
  String get na_ => 'نامیبیا';

  @override
  String get nc_ => 'کاڵێدۆنیای نوێ';

  @override
  String get ne_ => 'نیجەر';

  @override
  String get nf_ => 'دوورگەی نۆرفۆلک';

  @override
  String get ng_ => 'نەیجیریا';

  @override
  String get ni_ => 'نیکاراگوا';

  @override
  String get nl_ => 'هۆڵەندا';

  @override
  String get no_ => 'نەرویج';

  @override
  String get np_ => 'نیپاڵ';

  @override
  String get nr_ => 'ناورو';

  @override
  String get nu_ => 'نیوێ';

  @override
  String get nz_ => 'وڵاتی نیوزله‌ندا';

  @override
  String get om_ => 'عومان';

  @override
  String get pa_ => 'پەنەما';

  @override
  String get pe_ => 'پیرۆ';

  @override
  String get pf_ => 'پۆلینیزیای فەرەنسی';

  @override
  String get pg_ => 'پاپوای نیوگینیا';

  @override
  String get ph_ => 'فلیپین';

  @override
  String get pk_ => 'پاکستان';

  @override
  String get pl_ => 'پۆڵەندا';

  @override
  String get pm_ => 'سانت پیێر و میکێلۆن';

  @override
  String get pn_ => 'پیتکایرن';

  @override
  String get pr_ => 'پورتوگال';

  @override
  String get ps_ => 'خاکی فەلەستین، داگیرکراوە';

  @override
  String get pt_ => 'پورتوگال';

  @override
  String get pw_ => 'پالاو';

  @override
  String get py_ => 'پاراگوای';

  @override
  String get qa_ => 'قەتەر';

  @override
  String get re_ => 'یەکگرتنەوە';

  @override
  String get ro_ => 'ڕۆمانیا';

  @override
  String get rs_ => 'سربیا';

  @override
  String get ru_ => 'ڕووسیا';

  @override
  String get rw_ => 'ڕواندا';

  @override
  String get sa_ => 'عەرەبستانی سوعوودی';

  @override
  String get sb_ => 'دوورگەکانی سلێمان';

  @override
  String get sc_ => 'سیشێل';

  @override
  String get sd_ => 'سودان';

  @override
  String get se_ => 'سویدی';

  @override
  String get sg_ => 'سەنگافورە';

  @override
  String get sh_ => 'Saint Helena';

  @override
  String get si_ => 'سلۆڤینیا';

  @override
  String get sj_ => 'Svalbard and Jan Mayen';

  @override
  String get sk_ => 'سلۆڤاکیا';

  @override
  String get sl_ => 'سیرالیۆن';

  @override
  String get sm_ => 'سان مارینۆ';

  @override
  String get sn_ => 'سەنیگال';

  @override
  String get so_ => 'سۆماڵ';

  @override
  String get sr_ => 'سورینام';

  @override
  String get ss_ => 'باشووری سودان';

  @override
  String get st_ => 'ساو تۆمێ و پرینسیپی';

  @override
  String get sv_ => 'سلڤادۆر';

  @override
  String get sx_ => 'Sint Maarten';

  @override
  String get sy_ => 'کۆماری عەرەبی سوریا';

  @override
  String get sz_ => 'سوازیلاند';

  @override
  String get ta_ => 'تریستان دا کونها';

  @override
  String get tc_ => 'دوورگەکانی تورک و کایکۆس';

  @override
  String get td_ => 'چاد';

  @override
  String get tg_ => 'تۆگۆ';

  @override
  String get th_ => 'تایلەند';

  @override
  String get tj_ => 'تاجیکستان';

  @override
  String get tk_ => 'تۆکێلاو';

  @override
  String get tl_ => 'تیمۆر-لێستێ';

  @override
  String get tm_ => 'تورکمانستان';

  @override
  String get tn_ => 'تونس';

  @override
  String get to_ => 'تۆنگا';

  @override
  String get tr_ => 'تورکیە';

  @override
  String get tt_ => 'ترینیداد و تۆباگۆ';

  @override
  String get tv_ => 'توڤالو';

  @override
  String get tw_ => 'تایوان';

  @override
  String get tz_ => 'تانزانیا، کۆماری یەکگرتووی تانزانیا';

  @override
  String get ua_ => 'ئۆکرانیا';

  @override
  String get ug_ => 'ئۆگاندا';

  @override
  String get us_ => 'ویلایەتە یەکگرتووەکان';

  @override
  String get uy_ => 'ئۆرۆگوای';

  @override
  String get uz_ => 'ئۆزبەکستان';

  @override
  String get va_ => 'کورسی پیرۆز (وڵاتی ڤاتیکان سیتی)';

  @override
  String get vc_ => 'سانت ڤینسێنت و گرێنادین';

  @override
  String get ve_ => 'ڤەنزوێلا';

  @override
  String get vg_ => 'دوورگەکانی ڤێرجینیا، بەریتانیا';

  @override
  String get vi_ => 'دوورگەکانی ڤێرجینیا، ئەمریکا.';

  @override
  String get vn_ => 'ڤێتنام';

  @override
  String get vu_ => 'ڤانواتو';

  @override
  String get wf_ => 'والیس و فوتونا';

  @override
  String get ws_ => 'ساموا';

  @override
  String get xk_ => 'Kosovo';

  @override
  String get ye_ => 'یەمەن';

  @override
  String get yt_ => 'مایۆت';

  @override
  String get za_ => 'باشوری ئەفریقا';

  @override
  String get zm_ => 'زامبیا';

  @override
  String get zw_ => 'زیمبابۆی';
}
