import 'country_selector_localization.dart';

/// The translations for Persian (`fa`).
class CountrySelectorLocalizationFa extends CountrySelectorLocalization {
  CountrySelectorLocalizationFa([String locale = 'fa']) : super(locale);

  @override
  String get noResultMessage => 'بدون نتیجه';

  @override
  String get search => 'Search';

  @override
  String get typeToSearch => 'Type here to search for a country';

  @override
  String selectCountry(String country) {
    return 'Select $country';
  }

  @override
  String selectCountryWithDialCode(String country, String dialCode) {
    return 'Select $country $dialCode';
  }

  @override
  String get ac_ => 'جزیره اسنشن';

  @override
  String get ad_ => 'آندورا';

  @override
  String get ae_ => 'امارات متحده عربی';

  @override
  String get af_ => 'افغانستان';

  @override
  String get ag_ => 'آنتیگوآ و باربودا';

  @override
  String get ai_ => 'آنگویلا';

  @override
  String get al_ => 'آلبانی';

  @override
  String get am_ => 'ارمنستان';

  @override
  String get an_ => 'آنتیل هلند';

  @override
  String get ao_ => 'آنگولا';

  @override
  String get aq_ => 'جنوبگان';

  @override
  String get ar_ => 'آرژانتین';

  @override
  String get as_ => 'ساموآی آمریکا';

  @override
  String get at_ => 'اتریش';

  @override
  String get au_ => 'استرالیا';

  @override
  String get aw_ => 'آروبا';

  @override
  String get ax_ => 'جزایر الند';

  @override
  String get az_ => 'آذربایجان';

  @override
  String get ba_ => 'بوسنی و هرزگوین';

  @override
  String get bb_ => 'باربادوس';

  @override
  String get bd_ => 'بنگلادش';

  @override
  String get be_ => 'بلژیک';

  @override
  String get bf_ => 'بورکینافاسو';

  @override
  String get bg_ => 'بلغارستان';

  @override
  String get bh_ => 'بحرین';

  @override
  String get bi_ => 'بوروندی';

  @override
  String get bj_ => 'بنین';

  @override
  String get bl_ => 'سن بارتلمی';

  @override
  String get bm_ => 'برمودا';

  @override
  String get bn_ => 'برونئی سرای صلح';

  @override
  String get bo_ => 'حکومت پلوریناسیونال بولیوی';

  @override
  String get bq_ => 'بونیر';

  @override
  String get br_ => 'برزیل';

  @override
  String get bs_ => 'باهاما';

  @override
  String get bt_ => 'بوتان';

  @override
  String get bw_ => 'بوتسوانا';

  @override
  String get by_ => 'بلاروس';

  @override
  String get bz_ => 'بلیز';

  @override
  String get ca_ => 'کانادا';

  @override
  String get cc_ => 'جزایر (کیلینگ) کوکوس';

  @override
  String get cd_ => 'کنگو، جمهوری دموکراتیک کنگو';

  @override
  String get cf_ => 'جمهوری آفریقای مرکزی';

  @override
  String get cg_ => 'کنگو';

  @override
  String get ch_ => 'سوئیس';

  @override
  String get ci_ => 'ساحل عاج';

  @override
  String get ck_ => 'جزایر کوک';

  @override
  String get cl_ => 'شیلی';

  @override
  String get cm_ => 'کامرون';

  @override
  String get cn_ => 'چین';

  @override
  String get co_ => 'کلمبیا';

  @override
  String get cr_ => 'کاستاریکا';

  @override
  String get cu_ => 'کوبا';

  @override
  String get cv_ => 'کیپ ورد';

  @override
  String get cw_ => 'Curaçao';

  @override
  String get cx_ => 'جزیره کریسمس';

  @override
  String get cy_ => 'قبرس';

  @override
  String get cz_ => 'جمهوری چک';

  @override
  String get de_ => 'آلمان';

  @override
  String get dj_ => 'جیبوتی';

  @override
  String get dk_ => 'دانمارک';

  @override
  String get dm_ => 'دومینیکا';

  @override
  String get do_ => 'جمهوری دومینیکن';

  @override
  String get dz_ => 'الجزایر';

  @override
  String get ec_ => 'اکوادور';

  @override
  String get ee_ => 'استونی';

  @override
  String get eg_ => 'مصر';

  @override
  String get eh_ => 'Western Sahara';

  @override
  String get er_ => 'اریتره';

  @override
  String get es_ => 'اسپانیا';

  @override
  String get et_ => 'اتیوپی';

  @override
  String get fi_ => 'فنلاند';

  @override
  String get fj_ => 'فیجی';

  @override
  String get fk_ => 'جزایر فالکلند (مالویناس)';

  @override
  String get fm_ => 'میکرونزی، ایالات فدرال میکرونزی';

  @override
  String get fo_ => 'جزایر فارو';

  @override
  String get fr_ => 'فرانسه';

  @override
  String get ga_ => 'گابن';

  @override
  String get gb_ => 'پادشاهی متحد بریتانیای کبیر و ایرلند شمالی';

  @override
  String get gd_ => 'گرنادا';

  @override
  String get ge_ => 'گرجستان';

  @override
  String get gf_ => 'گویان فرانسه';

  @override
  String get gg_ => 'گرنزی';

  @override
  String get gh_ => 'غنا';

  @override
  String get gi_ => 'جبل‌الطارق';

  @override
  String get gl_ => 'گرینلند';

  @override
  String get gm_ => 'گامبیا';

  @override
  String get gn_ => 'گینه';

  @override
  String get gp_ => 'گوادلوپ';

  @override
  String get gq_ => 'گینه استوایی';

  @override
  String get gr_ => 'یونان';

  @override
  String get gs_ => 'جزایر جورجیای جنوبی و ساندویچ جنوبی';

  @override
  String get gt_ => 'گواتمالا';

  @override
  String get gu_ => 'گوآم';

  @override
  String get gw_ => 'گینه بیسائو';

  @override
  String get gy_ => 'گویان';

  @override
  String get hk_ => 'هنگ کنگ';

  @override
  String get hn_ => 'هندوراس';

  @override
  String get hr_ => 'کرواسی';

  @override
  String get ht_ => 'هائیتی';

  @override
  String get hu_ => 'مجارستان';

  @override
  String get id_ => 'اندونزی';

  @override
  String get ie_ => 'ایرلند';

  @override
  String get il_ => 'اسرائیل';

  @override
  String get im_ => 'جزیره من';

  @override
  String get in_ => 'هند';

  @override
  String get io_ => 'قلمرو بریتانیا در اقیانوس هند';

  @override
  String get iq_ => 'عراق';

  @override
  String get ir_ => 'ایران';

  @override
  String get is_ => 'ایسلند';

  @override
  String get it_ => 'ایتالیا';

  @override
  String get je_ => 'جرزی';

  @override
  String get jm_ => 'جامائیکا';

  @override
  String get jo_ => 'اردن';

  @override
  String get jp_ => 'ژاپن';

  @override
  String get ke_ => 'کنیا';

  @override
  String get kg_ => 'قرقیزستان';

  @override
  String get kh_ => 'کامبوج';

  @override
  String get ki_ => 'کیریباتی';

  @override
  String get km_ => 'کومور';

  @override
  String get kn_ => 'سنت کیتس و نویس';

  @override
  String get kp_ => 'کره شمالی';

  @override
  String get kr_ => 'کره، جمهوری کره جنوبی';

  @override
  String get kw_ => 'کویت';

  @override
  String get ky_ => 'جزایر کیمن';

  @override
  String get kz_ => 'قزاقستان';

  @override
  String get la_ => 'لائوس';

  @override
  String get lb_ => 'لبنان';

  @override
  String get lc_ => 'سنت لوسیا';

  @override
  String get li_ => 'لیختن‌اشتاین';

  @override
  String get lk_ => 'سری‌لانکا';

  @override
  String get lr_ => 'لیبریا';

  @override
  String get ls_ => 'لسوتو';

  @override
  String get lt_ => 'لیتوانی';

  @override
  String get lu_ => 'لوکزامبورگ';

  @override
  String get lv_ => 'لتونی';

  @override
  String get ly_ => 'لیبی';

  @override
  String get ma_ => 'مراکش';

  @override
  String get mc_ => 'موناکو';

  @override
  String get md_ => 'مولداوی';

  @override
  String get me_ => 'مونته‌نگرو';

  @override
  String get mf_ => 'سن مارتن';

  @override
  String get mg_ => 'ماداگاسکار';

  @override
  String get mh_ => 'جزایر مارشال';

  @override
  String get mk_ => 'مقدونیه';

  @override
  String get ml_ => 'مالی';

  @override
  String get mm_ => 'میانمار';

  @override
  String get mn_ => 'مغولستان';

  @override
  String get mo_ => 'ماکائو';

  @override
  String get mp_ => 'جزایر ماریانای شمالی';

  @override
  String get mq_ => 'مارتینیک';

  @override
  String get mr_ => 'موریتانی';

  @override
  String get ms_ => 'مونتسرات';

  @override
  String get mt_ => 'مالت';

  @override
  String get mu_ => 'موریس';

  @override
  String get mv_ => 'مالدیو';

  @override
  String get mw_ => 'مالاوی';

  @override
  String get mx_ => 'مکزیک';

  @override
  String get my_ => 'مالزی';

  @override
  String get mz_ => 'موزامبیک';

  @override
  String get na_ => 'نامیبیا';

  @override
  String get nc_ => 'کالدونیای جدید';

  @override
  String get ne_ => 'نیجر';

  @override
  String get nf_ => 'جزیره نورفک';

  @override
  String get ng_ => 'نیجریه';

  @override
  String get ni_ => 'نیکاراگوئه';

  @override
  String get nl_ => 'هلند';

  @override
  String get no_ => 'نروژ';

  @override
  String get np_ => 'نپال';

  @override
  String get nr_ => 'نائورو';

  @override
  String get nu_ => 'نیووی';

  @override
  String get nz_ => 'نیوزیلند';

  @override
  String get om_ => 'عمان';

  @override
  String get pa_ => 'پاناما';

  @override
  String get pe_ => 'پرو';

  @override
  String get pf_ => 'پلی‌نزی فرانسه';

  @override
  String get pg_ => 'پاپوآ گینه نو';

  @override
  String get ph_ => 'فیلیپین';

  @override
  String get pk_ => 'پاکستان';

  @override
  String get pl_ => 'لهستان';

  @override
  String get pm_ => 'سن-پیر و میکلون';

  @override
  String get pn_ => 'پیت‌کرن';

  @override
  String get pr_ => 'پورتوریکو';

  @override
  String get ps_ => 'سرزمین‌های فلسطینی';

  @override
  String get pt_ => 'پرتغال';

  @override
  String get pw_ => 'پالائو';

  @override
  String get py_ => 'پاراگوئه';

  @override
  String get qa_ => 'قطر';

  @override
  String get re_ => 'رئونیون';

  @override
  String get ro_ => 'رومانی';

  @override
  String get rs_ => 'صربستان';

  @override
  String get ru_ => 'روسیه';

  @override
  String get rw_ => 'رواندا';

  @override
  String get sa_ => 'عربستان سعودی';

  @override
  String get sb_ => 'جزایر سلیمان';

  @override
  String get sc_ => 'سیشل';

  @override
  String get sd_ => 'سودان';

  @override
  String get se_ => 'سوئد';

  @override
  String get sg_ => 'سنگاپور';

  @override
  String get sh_ => 'Saint Helena';

  @override
  String get si_ => 'اسلوونی';

  @override
  String get sj_ => 'Svalbard and Jan Mayen';

  @override
  String get sk_ => 'اسلواکی';

  @override
  String get sl_ => 'سیرالئون';

  @override
  String get sm_ => 'سان مارینو';

  @override
  String get sn_ => 'سنگال';

  @override
  String get so_ => 'سومالی';

  @override
  String get sr_ => 'سورینام';

  @override
  String get ss_ => 'سودان جنوبی';

  @override
  String get st_ => 'سائوتومه و پرنسیپ';

  @override
  String get sv_ => 'السالوادور';

  @override
  String get sx_ => 'Sint Maarten';

  @override
  String get sy_ => 'جمهوری عربی سوریه';

  @override
  String get sz_ => 'سوازیلند';

  @override
  String get ta_ => 'تریستان دا کونا';

  @override
  String get tc_ => 'جزایر تورکس و کایکوس';

  @override
  String get td_ => 'چاد';

  @override
  String get tg_ => 'توگو';

  @override
  String get th_ => 'تایلند';

  @override
  String get tj_ => 'تاجیکستان';

  @override
  String get tk_ => 'توکلائو';

  @override
  String get tl_ => 'تیمور شرقی';

  @override
  String get tm_ => 'ترکمنستان';

  @override
  String get tn_ => 'تونس';

  @override
  String get to_ => 'تونگا';

  @override
  String get tr_ => 'ترکیه';

  @override
  String get tt_ => 'ترینیداد و توباگو';

  @override
  String get tv_ => 'تووالو';

  @override
  String get tw_ => 'تایوان';

  @override
  String get tz_ => 'تانزانیا، جمهوری متحد تانزانیا';

  @override
  String get ua_ => 'اوکراین';

  @override
  String get ug_ => 'اوگاندا';

  @override
  String get us_ => 'ایالات متحده آمریکا';

  @override
  String get uy_ => 'اروگوئه';

  @override
  String get uz_ => 'ازبکستان';

  @override
  String get va_ => 'سریر مقدس (ایالت شهر واتیکان)';

  @override
  String get vc_ => 'سنت وینسنت و گرنادین‌ها';

  @override
  String get ve_ => 'ونزوئلا';

  @override
  String get vg_ => 'جزایر ویرجین، بریتانیا';

  @override
  String get vi_ => 'جزایر ویرجین، ایالات متحده آمریکا';

  @override
  String get vn_ => 'ویتنام';

  @override
  String get vu_ => 'وانواتو';

  @override
  String get wf_ => 'والیس و فوتونا';

  @override
  String get ws_ => 'ساموآ';

  @override
  String get xk_ => 'Kosovo';

  @override
  String get ye_ => 'یمن';

  @override
  String get yt_ => 'مایوت';

  @override
  String get za_ => 'آفریقای جنوبی';

  @override
  String get zm_ => 'زامبیا';

  @override
  String get zw_ => 'زیمبابوه';
}
