import 'country_selector_localization.dart';

/// The translations for Norwegian Bokmål (`nb`).
class CountrySelectorLocalizationNb extends CountrySelectorLocalization {
  CountrySelectorLocalizationNb([String locale = 'nb']) : super(locale);

  @override
  String get noResultMessage => 'Ingen resultater';

  @override
  String get search => 'Search';

  @override
  String get typeToSearch => 'Type here to search for a country';

  @override
  String selectCountry(String country) {
    return 'Select $country';
  }

  @override
  String selectCountryWithDialCode(String country, String dialCode) {
    return 'Select $country $dialCode';
  }

  @override
  String get ac_ => 'Ascension Island';

  @override
  String get ad_ => 'Andorra';

  @override
  String get ae_ => 'De forente arabiske emirater';

  @override
  String get af_ => 'Afghanistan';

  @override
  String get ag_ => 'Antigua og Barbuda';

  @override
  String get ai_ => 'Anguilla';

  @override
  String get al_ => 'Albania';

  @override
  String get am_ => 'Armenia';

  @override
  String get an_ => 'Nederlandene Antillene';

  @override
  String get ao_ => 'Angola';

  @override
  String get aq_ => 'Antarktis';

  @override
  String get ar_ => 'Argentina';

  @override
  String get as_ => 'Amerikansk Samoa';

  @override
  String get at_ => 'Østerrike';

  @override
  String get au_ => 'Australia';

  @override
  String get aw_ => 'Aruba';

  @override
  String get ax_ => 'Åland';

  @override
  String get az_ => 'Aserbajdsjan';

  @override
  String get ba_ => 'Bosnia-Hercegovina';

  @override
  String get bb_ => 'Barbados';

  @override
  String get bd_ => 'Bangladesh';

  @override
  String get be_ => 'Belgia';

  @override
  String get bf_ => 'Burkina Faso';

  @override
  String get bg_ => 'Bulgaria';

  @override
  String get bh_ => 'Bahrain';

  @override
  String get bi_ => 'Burundi';

  @override
  String get bj_ => 'Benin';

  @override
  String get bl_ => 'Saint Barthelemy';

  @override
  String get bm_ => 'Bermuda';

  @override
  String get bn_ => 'Brunei Darussalam';

  @override
  String get bo_ => 'Bolivia, den plurinasjonale staten';

  @override
  String get bq_ => 'Bonaire';

  @override
  String get br_ => 'Brasil';

  @override
  String get bs_ => 'Bahamas';

  @override
  String get bt_ => 'Bhutan';

  @override
  String get bw_ => 'Botswana';

  @override
  String get by_ => 'Hviterussland';

  @override
  String get bz_ => 'Belize';

  @override
  String get ca_ => 'Canada';

  @override
  String get cc_ => 'Kokosøyene (Keelingøyene)';

  @override
  String get cd_ => 'Den demokratiske republikken Kongo';

  @override
  String get cf_ => 'Den sentralafrikanske republikken';

  @override
  String get cg_ => 'Kongo';

  @override
  String get ch_ => 'Sveits';

  @override
  String get ci_ => 'Elfenbenskysten';

  @override
  String get ck_ => 'Cookøyene';

  @override
  String get cl_ => 'Chile';

  @override
  String get cm_ => 'Kamerun';

  @override
  String get cn_ => 'Kina';

  @override
  String get co_ => 'Colombia';

  @override
  String get cr_ => 'Costa Rica';

  @override
  String get cu_ => 'Cuba';

  @override
  String get cv_ => 'Kapp Verde';

  @override
  String get cw_ => 'Curaçao';

  @override
  String get cx_ => 'Christmas Island';

  @override
  String get cy_ => 'Kypros';

  @override
  String get cz_ => 'Tsjekkia';

  @override
  String get de_ => 'Tyskland';

  @override
  String get dj_ => 'Djibouti';

  @override
  String get dk_ => 'Danmark';

  @override
  String get dm_ => 'Dominica';

  @override
  String get do_ => 'Den dominikanske republikken';

  @override
  String get dz_ => 'Algerie';

  @override
  String get ec_ => 'Ecuador';

  @override
  String get ee_ => 'Estland';

  @override
  String get eg_ => 'Egypt';

  @override
  String get eh_ => 'Western Sahara';

  @override
  String get er_ => 'Eritrea';

  @override
  String get es_ => 'Spania';

  @override
  String get et_ => 'Etiopia';

  @override
  String get fi_ => 'Finland';

  @override
  String get fj_ => 'Fiji';

  @override
  String get fk_ => 'Falklandsøyene (Malvinas)';

  @override
  String get fm_ => 'Mikronesia, de føderale statene i Mikronesia';

  @override
  String get fo_ => 'Færøyene';

  @override
  String get fr_ => 'Frankrike';

  @override
  String get ga_ => 'Gabon';

  @override
  String get gb_ => 'Storbritannia';

  @override
  String get gd_ => 'Grenada';

  @override
  String get ge_ => 'Georgia';

  @override
  String get gf_ => 'Fransk Guyana';

  @override
  String get gg_ => 'Guernsey';

  @override
  String get gh_ => 'Ghana';

  @override
  String get gi_ => 'Gibraltar';

  @override
  String get gl_ => 'Grønland';

  @override
  String get gm_ => 'Gambia';

  @override
  String get gn_ => 'Guinea';

  @override
  String get gp_ => 'Guadeloupe';

  @override
  String get gq_ => 'Ekvatorial-Guinea';

  @override
  String get gr_ => 'Hellas';

  @override
  String get gs_ => 'Sør-Georgia og Sør-Sandwichøyene';

  @override
  String get gt_ => 'Guatemala';

  @override
  String get gu_ => 'Guam';

  @override
  String get gw_ => 'Guinea-Bissau';

  @override
  String get gy_ => 'Guyana';

  @override
  String get hk_ => 'Hong Kong';

  @override
  String get hn_ => 'Honduras';

  @override
  String get hr_ => 'Kroatia';

  @override
  String get ht_ => 'Haiti';

  @override
  String get hu_ => 'Ungarn';

  @override
  String get id_ => 'Indonesia';

  @override
  String get ie_ => 'Irland';

  @override
  String get il_ => 'Israel';

  @override
  String get im_ => 'Isle of Man';

  @override
  String get in_ => 'India';

  @override
  String get io_ => 'Det britiske territoriet i Indiahavet';

  @override
  String get iq_ => 'Irak';

  @override
  String get ir_ => 'Iran, Den islamske republikken';

  @override
  String get is_ => 'Island';

  @override
  String get it_ => 'Italia';

  @override
  String get je_ => 'Jersey';

  @override
  String get jm_ => 'Jamaica';

  @override
  String get jo_ => 'Jordan';

  @override
  String get jp_ => 'Japan';

  @override
  String get ke_ => 'Kenya';

  @override
  String get kg_ => 'Kirgisistan';

  @override
  String get kh_ => 'Kambodsja';

  @override
  String get ki_ => 'Kiribati';

  @override
  String get km_ => 'Komorene';

  @override
  String get kn_ => 'Saint Kitts og Nevis';

  @override
  String get kp_ => 'Korea, Den demokratiske folkerepublikken Korea';

  @override
  String get kr_ => 'Korea, Republikken Sør-Korea';

  @override
  String get kw_ => 'Kuwait';

  @override
  String get ky_ => 'Caymanøyene';

  @override
  String get kz_ => 'Kasakhstan';

  @override
  String get la_ => 'Laos';

  @override
  String get lb_ => 'Libanon';

  @override
  String get lc_ => 'Saint Lucia';

  @override
  String get li_ => 'Liechtenstein';

  @override
  String get lk_ => 'Sri Lanka';

  @override
  String get lr_ => 'Liberia';

  @override
  String get ls_ => 'Lesotho';

  @override
  String get lt_ => 'Litauen';

  @override
  String get lu_ => 'Luxembourg';

  @override
  String get lv_ => 'Latvia';

  @override
  String get ly_ => 'Libya';

  @override
  String get ma_ => 'Marokko';

  @override
  String get mc_ => 'Monaco';

  @override
  String get md_ => 'Moldova';

  @override
  String get me_ => 'Montenegro';

  @override
  String get mf_ => 'Saint Martin';

  @override
  String get mg_ => 'Madagaskar';

  @override
  String get mh_ => 'Marshalløyene';

  @override
  String get mk_ => 'Makedonia';

  @override
  String get ml_ => 'Mali';

  @override
  String get mm_ => 'Myanmar';

  @override
  String get mn_ => 'Mongolia';

  @override
  String get mo_ => 'Macao';

  @override
  String get mp_ => 'Nord-Marianene';

  @override
  String get mq_ => 'Martinique';

  @override
  String get mr_ => 'Mauritania';

  @override
  String get ms_ => 'Montserrat';

  @override
  String get mt_ => 'Malta';

  @override
  String get mu_ => 'Mauritius';

  @override
  String get mv_ => 'Maldivene';

  @override
  String get mw_ => 'Malawi';

  @override
  String get mx_ => 'Mexico';

  @override
  String get my_ => 'Malaysia';

  @override
  String get mz_ => 'Mosambik';

  @override
  String get na_ => 'Namibia';

  @override
  String get nc_ => 'Ny-Caledonia';

  @override
  String get ne_ => 'Niger';

  @override
  String get nf_ => 'Norfolk Island';

  @override
  String get ng_ => 'Nigeria';

  @override
  String get ni_ => 'Nicaragua';

  @override
  String get nl_ => 'Nederland';

  @override
  String get no_ => 'Norge';

  @override
  String get np_ => 'Nepal';

  @override
  String get nr_ => 'Nauru';

  @override
  String get nu_ => 'Niue';

  @override
  String get nz_ => 'New Zealand';

  @override
  String get om_ => 'Oman';

  @override
  String get pa_ => 'Panama';

  @override
  String get pe_ => 'Peru';

  @override
  String get pf_ => 'Fransk Polynesia';

  @override
  String get pg_ => 'Papua Ny-Guinea';

  @override
  String get ph_ => 'Filippinene';

  @override
  String get pk_ => 'Pakistan';

  @override
  String get pl_ => 'Polen';

  @override
  String get pm_ => 'Saint Pierre og Miquelon';

  @override
  String get pn_ => 'Pitcairn';

  @override
  String get pr_ => 'Puerto Rico';

  @override
  String get ps_ => 'Det palestinske området, okkupert';

  @override
  String get pt_ => 'Portugal';

  @override
  String get pw_ => 'Palau';

  @override
  String get py_ => 'Paraguay';

  @override
  String get qa_ => 'Qatar';

  @override
  String get re_ => 'Reunion';

  @override
  String get ro_ => 'Romania';

  @override
  String get rs_ => 'Serbia';

  @override
  String get ru_ => 'Russland';

  @override
  String get rw_ => 'Rwanda';

  @override
  String get sa_ => 'Saudi-Arabia';

  @override
  String get sb_ => 'Salomonøyene';

  @override
  String get sc_ => 'Seychellene';

  @override
  String get sd_ => 'Sudan';

  @override
  String get se_ => 'Sverige';

  @override
  String get sg_ => 'Singapore';

  @override
  String get sh_ => 'Saint Helena';

  @override
  String get si_ => 'Slovenia';

  @override
  String get sj_ => 'Svalbard and Jan Mayen';

  @override
  String get sk_ => 'Slovakia';

  @override
  String get sl_ => 'Sierra Leone';

  @override
  String get sm_ => 'San Marino';

  @override
  String get sn_ => 'Senegal';

  @override
  String get so_ => 'Somalia';

  @override
  String get sr_ => 'Surinam';

  @override
  String get ss_ => 'Sør-Sudan';

  @override
  String get st_ => 'São Tomé og Príncipe';

  @override
  String get sv_ => 'El Salvador';

  @override
  String get sx_ => 'Sint Maarten';

  @override
  String get sy_ => 'Den syriske arabiske republikken';

  @override
  String get sz_ => 'Swaziland';

  @override
  String get ta_ => 'Tristan da Cunha';

  @override
  String get tc_ => 'Turks- og Caicosøyene';

  @override
  String get td_ => 'Tsjad';

  @override
  String get tg_ => 'Togo';

  @override
  String get th_ => 'Thailand';

  @override
  String get tj_ => 'Tadsjikistan';

  @override
  String get tk_ => 'Tokelau';

  @override
  String get tl_ => 'Øst-Timor';

  @override
  String get tm_ => 'Turkmenistan';

  @override
  String get tn_ => 'Tunisia';

  @override
  String get to_ => 'Tonga';

  @override
  String get tr_ => 'Türkiye';

  @override
  String get tt_ => 'Trinidad og Tobago';

  @override
  String get tv_ => 'Tuvalu';

  @override
  String get tw_ => 'Taiwan';

  @override
  String get tz_ => 'Tanzania, Den forente republikken Tanzania';

  @override
  String get ua_ => 'Ukraina';

  @override
  String get ug_ => 'Uganda';

  @override
  String get us_ => 'USA';

  @override
  String get uy_ => 'Uruguay';

  @override
  String get uz_ => 'Usbekistan';

  @override
  String get va_ => 'Vatikanstaten (Hellige stol)';

  @override
  String get vc_ => 'Saint Vincent og Grenadinene';

  @override
  String get ve_ => 'Venezuela';

  @override
  String get vg_ => 'De britiske Jomfruøyene';

  @override
  String get vi_ => 'De amerikanske Jomfruøyene';

  @override
  String get vn_ => 'Vietnam';

  @override
  String get vu_ => 'Vanuatu';

  @override
  String get wf_ => 'Wallis og Futuna';

  @override
  String get ws_ => 'Samoa';

  @override
  String get xk_ => 'Kosovo';

  @override
  String get ye_ => 'Jemen';

  @override
  String get yt_ => 'Mayotte';

  @override
  String get za_ => 'Sør-Afrika';

  @override
  String get zm_ => 'Zambia';

  @override
  String get zw_ => 'Zimbabwe';
}
