import 'country_selector_localization.dart';

/// The translations for Ukrainian (`uk`).
class CountrySelectorLocalizationUk extends CountrySelectorLocalization {
  CountrySelectorLocalizationUk([String locale = 'uk']) : super(locale);

  @override
  String get noResultMessage => 'Немає результату';

  @override
  String get search => 'Search';

  @override
  String get typeToSearch => 'Type here to search for a country';

  @override
  String selectCountry(String country) {
    return 'Select $country';
  }

  @override
  String selectCountryWithDialCode(String country, String dialCode) {
    return 'Select $country $dialCode';
  }

  @override
  String get ac_ => 'Острів Вознесіння';

  @override
  String get ad_ => 'Андорра';

  @override
  String get ae_ => 'Об\'єднані Арабські Емірати';

  @override
  String get af_ => 'Афганістан';

  @override
  String get ag_ => 'Антигуа і Барбуда';

  @override
  String get ai_ => 'Ангілья';

  @override
  String get al_ => 'Албанія';

  @override
  String get am_ => 'Вірменія';

  @override
  String get an_ => 'Нідерландські Антильські острови';

  @override
  String get ao_ => 'Ангола';

  @override
  String get aq_ => 'Антарктида';

  @override
  String get ar_ => 'Аргентина';

  @override
  String get as_ => 'Американське Самоа';

  @override
  String get at_ => 'Австрія';

  @override
  String get au_ => 'Австралія';

  @override
  String get aw_ => 'Аруба';

  @override
  String get ax_ => 'Аландські острови';

  @override
  String get az_ => 'Азербайджан';

  @override
  String get ba_ => 'Боснія і Герцеговина';

  @override
  String get bb_ => 'Барбадос';

  @override
  String get bd_ => 'Бангладеш';

  @override
  String get be_ => 'Бельгія';

  @override
  String get bf_ => 'Буркіна-Фасо';

  @override
  String get bg_ => 'Болгарія';

  @override
  String get bh_ => 'Бахрейн';

  @override
  String get bi_ => 'Бурунді';

  @override
  String get bj_ => 'Бенін';

  @override
  String get bl_ => 'Сен-Бартелемі';

  @override
  String get bm_ => 'Бермудські острови';

  @override
  String get bn_ => 'Бруней-Даруссалам';

  @override
  String get bo_ => 'Болівія, Багатонаціональна Держава';

  @override
  String get bq_ => 'Бонайре';

  @override
  String get br_ => 'Бразилія';

  @override
  String get bs_ => 'Багамські острови';

  @override
  String get bt_ => 'Бутан';

  @override
  String get bw_ => 'Ботсвана';

  @override
  String get by_ => 'Білорусь';

  @override
  String get bz_ => 'Беліз';

  @override
  String get ca_ => 'Канада';

  @override
  String get cc_ => 'Кокосові (Кілінгові) острови';

  @override
  String get cd_ => 'Конго, Демократична Республіка Конго';

  @override
  String get cf_ => 'Центральноафриканська Республіка';

  @override
  String get cg_ => 'Конго';

  @override
  String get ch_ => 'Швейцарія';

  @override
  String get ci_ => 'Кот-д\'івуар';

  @override
  String get ck_ => 'Острови Кука';

  @override
  String get cl_ => 'Чилі';

  @override
  String get cm_ => 'Камерун';

  @override
  String get cn_ => 'Китай';

  @override
  String get co_ => 'Колумбія';

  @override
  String get cr_ => 'Коста-Ріка';

  @override
  String get cu_ => 'Куба';

  @override
  String get cv_ => 'Кабо-Верде';

  @override
  String get cw_ => 'Curaçao';

  @override
  String get cx_ => 'Острів Різдва';

  @override
  String get cy_ => 'Кіпр';

  @override
  String get cz_ => 'Чеська Республіка';

  @override
  String get de_ => 'Німеччина';

  @override
  String get dj_ => 'Джибуті';

  @override
  String get dk_ => 'Данія';

  @override
  String get dm_ => 'Домініка';

  @override
  String get do_ => 'Домініканська Республіка';

  @override
  String get dz_ => 'Алжир';

  @override
  String get ec_ => 'Еквадор';

  @override
  String get ee_ => 'Естонія';

  @override
  String get eg_ => 'Єгипет';

  @override
  String get eh_ => 'Western Sahara';

  @override
  String get er_ => 'Еритрея';

  @override
  String get es_ => 'Іспанія';

  @override
  String get et_ => 'Ефіопія';

  @override
  String get fi_ => 'Фінляндія';

  @override
  String get fj_ => 'Фіджі';

  @override
  String get fk_ => 'Фолклендські (Мальвінські) острови';

  @override
  String get fm_ => 'Мікронезія, Федеративні Штати Мікронезії';

  @override
  String get fo_ => 'Фарерські острови';

  @override
  String get fr_ => 'Франція';

  @override
  String get ga_ => 'Габон';

  @override
  String get gb_ => 'Великобританія';

  @override
  String get gd_ => 'Гренада';

  @override
  String get ge_ => 'Грузія';

  @override
  String get gf_ => 'Французька Гвіана';

  @override
  String get gg_ => 'Гернсі';

  @override
  String get gh_ => 'Гана';

  @override
  String get gi_ => 'Гібралтар';

  @override
  String get gl_ => 'Гренландія';

  @override
  String get gm_ => 'Гамбія';

  @override
  String get gn_ => 'Гвінея';

  @override
  String get gp_ => 'Гваделупа';

  @override
  String get gq_ => 'Екваторіальна Гвінея';

  @override
  String get gr_ => 'Греція';

  @override
  String get gs_ => 'Південна Георгія і Південні Сандвічеві острови';

  @override
  String get gt_ => 'Гватемала';

  @override
  String get gu_ => 'Гуам';

  @override
  String get gw_ => 'Гвінея-Бісау';

  @override
  String get gy_ => 'Гайана';

  @override
  String get hk_ => 'Гонконг';

  @override
  String get hn_ => 'Гондурас';

  @override
  String get hr_ => 'Хорватія';

  @override
  String get ht_ => 'Гаїті';

  @override
  String get hu_ => 'Угорщина';

  @override
  String get id_ => 'Індонезія';

  @override
  String get ie_ => 'Ірландія';

  @override
  String get il_ => 'Ізраїль';

  @override
  String get im_ => 'Острів Мен';

  @override
  String get in_ => 'Індія';

  @override
  String get io_ => 'Британська територія в Індійському океані';

  @override
  String get iq_ => 'Ірак';

  @override
  String get ir_ => 'Іран, Ісламська Республіка';

  @override
  String get is_ => 'Ісландія';

  @override
  String get it_ => 'Італія';

  @override
  String get je_ => 'Джерсі';

  @override
  String get jm_ => 'Ямайка';

  @override
  String get jo_ => 'Йорданія';

  @override
  String get jp_ => 'Японія';

  @override
  String get ke_ => 'Кенія';

  @override
  String get kg_ => 'Киргизстан';

  @override
  String get kh_ => 'Камбоджа';

  @override
  String get ki_ => 'Кірібаті';

  @override
  String get km_ => 'Коморські острови';

  @override
  String get kn_ => 'Сент-Кітс і Невіс';

  @override
  String get kp_ => 'Корея, Корейська Народно-Демократична Республіка';

  @override
  String get kr_ => 'Корея, Республіка Південна Корея';

  @override
  String get kw_ => 'Кувейт';

  @override
  String get ky_ => 'Кайманові острови';

  @override
  String get kz_ => 'Казахстан';

  @override
  String get la_ => 'Лаос';

  @override
  String get lb_ => 'Ліван';

  @override
  String get lc_ => 'Сент-Люсія';

  @override
  String get li_ => 'Ліхтенштейн';

  @override
  String get lk_ => 'Шрі-Ланка';

  @override
  String get lr_ => 'Ліберія';

  @override
  String get ls_ => 'Лесото';

  @override
  String get lt_ => 'Литва';

  @override
  String get lu_ => 'Люксембург';

  @override
  String get lv_ => 'Латвія';

  @override
  String get ly_ => 'Лівійська Арабська Джамахірія';

  @override
  String get ma_ => 'Марокко';

  @override
  String get mc_ => 'Монако';

  @override
  String get md_ => 'Молдова';

  @override
  String get me_ => 'Чорногорія';

  @override
  String get mf_ => 'Сен-Мартен';

  @override
  String get mg_ => 'Мадагаскар';

  @override
  String get mh_ => 'Маршаллові Острови';

  @override
  String get mk_ => 'Македонія';

  @override
  String get ml_ => 'Малі';

  @override
  String get mm_ => 'М\'янма';

  @override
  String get mn_ => 'Монголія';

  @override
  String get mo_ => 'Макао';

  @override
  String get mp_ => 'Північні Маріанські острови';

  @override
  String get mq_ => 'Мартініка';

  @override
  String get mr_ => 'Мавританія';

  @override
  String get ms_ => 'Монтсеррат';

  @override
  String get mt_ => 'Мальта';

  @override
  String get mu_ => 'Маврикій';

  @override
  String get mv_ => 'Мальдіви';

  @override
  String get mw_ => 'Малаві';

  @override
  String get mx_ => 'Мексика';

  @override
  String get my_ => 'Малайзія';

  @override
  String get mz_ => 'Мозамбік';

  @override
  String get na_ => 'Намібія';

  @override
  String get nc_ => 'Нова Каледонія';

  @override
  String get ne_ => 'Нігер';

  @override
  String get nf_ => 'Острів Норфолк';

  @override
  String get ng_ => 'Нігерія';

  @override
  String get ni_ => 'Нікарагуа';

  @override
  String get nl_ => 'Нідерланди';

  @override
  String get no_ => 'Норвегія';

  @override
  String get np_ => 'Непал';

  @override
  String get nr_ => 'Науру';

  @override
  String get nu_ => 'Ніуе';

  @override
  String get nz_ => 'Нова Зеландія';

  @override
  String get om_ => 'Оман';

  @override
  String get pa_ => 'Панама';

  @override
  String get pe_ => 'Перу';

  @override
  String get pf_ => 'Французька Полінезія';

  @override
  String get pg_ => 'Папуа-Нова Гвінея';

  @override
  String get ph_ => 'Філіппіни';

  @override
  String get pk_ => 'Пакистан';

  @override
  String get pl_ => 'Польща';

  @override
  String get pm_ => 'Сен-П\'єр і Мікелон';

  @override
  String get pn_ => 'Піткерн';

  @override
  String get pr_ => 'Пуерто-Ріко';

  @override
  String get ps_ => 'Палестинська територія, окупована';

  @override
  String get pt_ => 'Португалія';

  @override
  String get pw_ => 'Палау';

  @override
  String get py_ => 'Парагвай';

  @override
  String get qa_ => 'Катар';

  @override
  String get re_ => 'Реюньйон';

  @override
  String get ro_ => 'Румунія';

  @override
  String get rs_ => 'Сербія';

  @override
  String get ru_ => 'Росія';

  @override
  String get rw_ => 'Руанда';

  @override
  String get sa_ => 'Саудівська Аравія';

  @override
  String get sb_ => 'Соломонові острови';

  @override
  String get sc_ => 'Сейшельські острови';

  @override
  String get sd_ => 'Судан';

  @override
  String get se_ => 'Швеція';

  @override
  String get sg_ => 'Сінгапур';

  @override
  String get sh_ => 'Saint Helena';

  @override
  String get si_ => 'Словенія';

  @override
  String get sj_ => 'Svalbard and Jan Mayen';

  @override
  String get sk_ => 'Словаччина';

  @override
  String get sl_ => 'Сьєрра-Леоне';

  @override
  String get sm_ => 'Сан-Марино';

  @override
  String get sn_ => 'Сенегал';

  @override
  String get so_ => 'Сомалі';

  @override
  String get sr_ => 'Суринам';

  @override
  String get ss_ => 'Південний Судан';

  @override
  String get st_ => 'Сан-Томе і Принсіпі';

  @override
  String get sv_ => 'Сальвадор';

  @override
  String get sx_ => 'Sint Maarten';

  @override
  String get sy_ => 'Сирійська Арабська Республіка';

  @override
  String get sz_ => 'Свазіленд';

  @override
  String get ta_ => 'Трістан-да-Кунья';

  @override
  String get tc_ => 'Турки і Кайкос';

  @override
  String get td_ => 'Чад';

  @override
  String get tg_ => 'Того';

  @override
  String get th_ => 'Таїланд';

  @override
  String get tj_ => 'Таджикистан';

  @override
  String get tk_ => 'Токелау';

  @override
  String get tl_ => 'Тимор-Лешті';

  @override
  String get tm_ => 'Туркменістан';

  @override
  String get tn_ => 'Туніс';

  @override
  String get to_ => 'Тонга';

  @override
  String get tr_ => 'Туреччина';

  @override
  String get tt_ => 'Тринідад і Тобаго';

  @override
  String get tv_ => 'Тувалу';

  @override
  String get tw_ => 'Тайвань';

  @override
  String get tz_ => 'Танзанія, Об\'єднана Республіка Танзанія';

  @override
  String get ua_ => 'Україна';

  @override
  String get ug_ => 'Уганда';

  @override
  String get us_ => 'Сполучені Штати Америки';

  @override
  String get uy_ => 'Уругвай';

  @override
  String get uz_ => 'Узбекистан';

  @override
  String get va_ => 'Святий Престол (місто-держава Ватикан)';

  @override
  String get vc_ => 'Сент-Вінсент і Гренадіни';

  @override
  String get ve_ => 'Венесуела';

  @override
  String get vg_ => 'Британські Віргінські острови';

  @override
  String get vi_ => 'Віргінські острови, США';

  @override
  String get vn_ => 'В\'єтнам';

  @override
  String get vu_ => 'Вануату';

  @override
  String get wf_ => 'Уолліс і Футуна';

  @override
  String get ws_ => 'Самоа';

  @override
  String get xk_ => 'Kosovo';

  @override
  String get ye_ => 'Ємен';

  @override
  String get yt_ => 'Майотта';

  @override
  String get za_ => 'Південна Африка';

  @override
  String get zm_ => 'Замбія';

  @override
  String get zw_ => 'Зімбабве';
}
